## google-perftools 2.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# Please note that cmake support is very preliminary. Autotools-based
# build is the only fully supported build for now.

# Based on configure.ac

project(gperftools VERSION 2.8.1 LANGUAGES C CXX
        DESCRIPTION "Performance tools for C++"
        HOMEPAGE_URL http://code.google.com/p/gperftools/)

# Update this value for every release!
set(TCMALLOC_SO_VERSION 9.6.5)
set(PROFILER_SO_VERSION 5.1.5)
set(TCMALLOC_AND_PROFILER_SO_VERSION 10.1.6)

# The user can choose not to compile in the heap-profiler, the
# heap-checker, or the cpu-profiler.  There's also the possibility
# for a 'fully minimal' compile, which leaves out the stacktrace
# code as well.  By default, we include all of these that the
# target system supports.
set(DEFAULT_BUILD_CPU_PROFILER ON)
set(DEFAULT_BUILD_HEAP_PROFILER ON)
set(DEFAULT_BUILD_HEAP_CHECKER ON)
set(DEFAULT_BUILD_DEBUGALLOC ON)
set(DEFAULT_BUILD_MINIMAL OFF)

set(DEFAULT_TCMALLOC_ALIGNMENT 16)
set(NEED_NANOSLEEP ON) # Used later, to decide if to run ACX_NANOSLEEP

set(HOST string(TOLOWER "${CMAKE_SYSTEM_NAME}"))

if(MINGW OR MSVC)
  set(DEFAULT_BUILD_MINIMAL ON)
  set(DEFAULT_BUILD_DEBUGALLOC OFF)
  set(NEED_NANOSLEEP OFF)
elseif(CYGWIN)
  set(DEFAULT_BUILD_HEAP_CHECKER OFF)
  set(DEFAULT_BUILD_CPU_PROFILER OFF)
elseif(HOST MATCHES "freebsd")
  set(DEFAULT_BUILD_HEAP_CHECKER OFF)
elseif(APPLE)
  set(DEFAULT_BUILD_HEAP_CHECKER OFF)
endif()

include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CheckVariableExists)
include(CMakeDependentOption)
include(CTest)
include(CPack)
include(GNUInstallDirs)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(CheckNoFPByDefault)
include(DefineTargetVariables)
include(FindObjcopyWithWeaken)
include(PCFromUContext)

define_target_variables()

# Currently only backtrace works on s390.
if(s390)
  set(default_enable_libunwind OFF)
  set(default_enable_backtrace ON)
else()
  set(default_enable_libunwind ON)
  set(default_enable_backtrace OFF)
endif()

# Disable libunwind linking on ppc64 by default.
if(PPC64)
  set(default_enable_libunwind OFF)
  set(default_tcmalloc_pagesize 64)
else()
  set(default_enable_libunwind ON)
  set(default_tcmalloc_pagesize 8)
endif()

cmake_dependent_option(
  GPERFTOOLS_BUILD_CPU_PROFILER "Build cpu-profiler" ${DEFAULT_BUILD_CPU_PROFILER}
  "NOT gperftools_build_minimal" OFF)
cmake_dependent_option(
  GPERFTOOLS_BUILD_HEAP_PROFILER "Build heap-profiler" ${DEFAULT_BUILD_HEAP_PROFILER}
  "NOT gperftools_build_minimal" OFF)
cmake_dependent_option(
  GPERFTOOLS_BUILD_HEAP_CHECKER "Build heap-checker" ${DEFAULT_BUILD_HEAP_CHECKER}
  "NOT gperftools_build_minimal" OFF)
cmake_dependent_option(
  GPERFTOOLS_BUILD_DEBUGALLOC "Build debugalloc" ${DEFAULT_BUILD_DEBUGALLOC}
  "NOT gperftools_build_minimal" OFF)
option(
        gperftools_build_minimal
        "Build only tcmalloc-minimal (and maybe tcmalloc-minimal-debug)"
        ${DEFAULT_BUILD_MINIMAL})
if(gperftools_build_minimal)
  set(GPERFTOOLS_BUILD_CPU_PROFILER OFF)
  set(GPERFTOOLS_BUILD_HEAP_PROFILER OFF)
  set(GPERFTOOLS_BUILD_HEAP_CHECKER OFF)
endif()

cmake_dependent_option(
  gperftools_build_benchmark "Build benchmark" ON "NOT MINGW AND NOT MSVC" OFF)

option(gperftools_enable_stacktrace_via_backtrace
       "Enable use of backtrace() for stacktrace capturing (may deadlock)"
       ${default_enable_backtrace})
option(gperftools_enable_libunwind
       "Enable libunwind linking"
       ${default_enable_libunwind})

set(enable_backtrace ${gperftools_enable_stacktrace_via_backtrace})
set(enable_libunwind ${gperftools_enable_libunwind})

set(gperftools_tcmalloc_pagesize ${default_tcmalloc_pagesize}
  CACHE STRING "Set the tcmalloc internal page size")
set_property(CACHE gperftools_tcmalloc_pagesize PROPERTY STRINGS "8" "32" "64")
if(NOT gperftools_tcmalloc_pagesize STREQUAL "8" AND
   NOT gperftools_tcmalloc_pagesize STREQUAL "32" AND
   NOT gperftools_tcmalloc_pagesize STREQUAL "64")
  message(WARNING
    "Invalid gperftools_tcmalloc_pagesize (${gperftools_tcmalloc_pagesize}), "
    "setting to default value (${default_tcmalloc_pagesize})")
  set(gperftools_tcmalloc_pagesize ${default_tcmalloc_pagesize})
endif()
if (gperftools_tcmalloc_pagesize STREQUAL "32" OR
  gperftools_tcmalloc_pagesize STREQUAL "64")
  set(TCMALLOC_${gperftools_tcmalloc_pagesize}K_PAGES ON)
endif()

set(gperftools_tcmalloc_alignment ${DEFAULT_TCMALLOC_ALIGNMENT}
  CACHE STRING "Set the tcmalloc allocation alignment")
set_property(CACHE gperftools_tcmalloc_alignment PROPERTY STRINGS "8" "16")
if(NOT gperftools_tcmalloc_alignment STREQUAL "8" AND
   NOT gperftools_tcmalloc_alignment STREQUAL "16")
  message(WARNING
      "Invalid gperftools_tcmalloc_alignment (${gperftools_tcmalloc_alignment}), "
      "setting to default value (${DEFAULT_TCMALLOC_ALIGNMENT})")
  set(gperftools_tcmalloc_alignment ${DEFAULT_TCMALLOC_ALIGNMENT})
endif()
if(gperftools_tcmalloc_alignment STREQUAL "8")
  set(TCMALLOC_ALIGN_8BYTES ON)
endif()

# AX_CXX_COMPILE_STDCXX(11, ext, mandatory)
if(cxx_std_17 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
  set(CMAKE_CXX_STANDARD 17) # std::align_val_t
else()
  set(CMAKE_CXX_STANDARD 11)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

# Check if we have an objcopy installed that supports -W
find_objcopy_with_weaken()

# AC_C_INLINE
set(inline)
foreach(inline_keyword "inline" "__inline" "__inline__")
  check_c_source_compiles("
      static ${inline_keyword} void foo() {}
      int main() { foo(); return 0; }"
      have_${inline_keyword})
  if(have_${inline_keyword})
      set(inline ${inline_keyword})
      break()
  endif()
endforeach()

# AX_C___ATTRIBUTE__
check_c_source_compiles("#include <stdlib.h>
                         static void foo(void) __attribute__ ((unused));
                         void foo(void) { exit(1); }
                         int main() { return 0; }"
        HAVE___ATTRIBUTE__)

check_type_size("__int64" __INT64 LANGUAGE CXX) # defined in some windows platforms
set(CMAKE_EXTRA_INCLUDE_FILES "malloc.h")
check_type_size("struct mallinfo" STRUCT_MALLINFO LANGUAGE CXX)
set(CMAKE_EXTRA_INCLUDE_FILES "elf.h")
check_type_size("Elf32_Versym" ELF32_VERSYM LANGUAGE CXX) # for vdso_support.h
set(CMAKE_EXTRA_INCLUDE_FILES)
check_function_exists("sbrk" HAVE_SBRK) # for tcmalloc to get memory
check_function_exists("__sbrk" HAVE_SBRK) # for tcmalloc to get memory
check_function_exists("geteuid" HAVE_GETEUID) # for turning off services when run as root
check_function_exists("fork" HAVE_FORK) # for the pthread_atfork setup
check_include_file("features.h" HAVE_FEATURES_H) # for vdso_support.h, Where __GLIBC__ is defined
check_include_file("malloc.h" HAVE_MALLOC_H) # some systems define stuff there, others not
check_include_file("glob.h" HAVE_GLOB_H) # for heap-profile-table (cleaning up profiles)
check_include_file("execinfo.h" HAVE_EXECINFO_H) # for stacktrace? and heapchecker_unittest
check_include_file("unwind.h" HAVE_UNWIND_H) # for stacktrace
check_include_file("sched.h" HAVE_SCHED_H) # for being nice in our spinlock code
check_include_file("conflict-signal.h" HAVE_CONFLICT_SIGNAL_H) # defined on some windows platforms?
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H) # for thread_lister (needed by leak-checker)
check_include_file("linux/ptrace.h" HAVE_LINUX_PTRACE_H) # also needed by leak-checker
check_include_file("sys/syscall.h" HAVE_SYS_SYSCALL_H)
check_include_file("sys/socket.h" HAVE_SYS_SOCKET_H) # optional; for forking out to symbolizer
check_include_file("sys/wait.h" HAVE_SYS_WAIT_H) # optional; for forking out to symbolizer
check_include_file("poll.h" HAVE_POLL_H) # optional; for forking out to symbolizer
check_include_file("fcntl.h" HAVE_FCNTL_H) # for tcmalloc_unittest
check_include_file("grp.h" HAVE_GRP_H) # for heapchecker_unittest
check_include_file("pwd.h" HAVE_PWD_H) # for heapchecker_unittest
check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H) # for memalign_unittest.cc
check_include_file("valgrind.h" HAVE_VALGRIND_H) # we have a local copy if this isn't found
check_include_file("sys/cdefs.h" HAVE_SYS_CDEFS_H) # Where glibc defines __THROW

check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("inttypes.h" HAVE_INTTYPES_H)
# We also need <ucontext.h>/<sys/ucontext.h>, but we get those from
# AC_PC_FROM_UCONTEXT, below.

# for windows
check_symbol_exists(snprintf stdio.h HAVE_SNPRINTF)

# We override a lot of memory allocation routines, not all of which are
# standard.  For those the system doesn't declare, we'll declare ourselves.
set(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=600)
check_symbol_exists("cfree" "stdlib.h;malloc.h" HAVE_DECL_CFREE)
check_symbol_exists("posix_memalign" "stdlib.h;malloc.h" HAVE_DECL_POSIX_MEMALIGN)
check_symbol_exists("memalign" "stdlib.h;malloc.h" HAVE_DECL_MEMALIGN)
check_symbol_exists("valloc" "stdlib.h;malloc.h" HAVE_DECL_VALLOC)
check_symbol_exists("pvalloc" "stdlib.h;malloc.h" HAVE_DECL_PVALLOC)
set(CMAKE_REQUIRED_DEFINITIONS)

if(HAVE_STRUCT_MALLINFO)
    set(HAVE_STRUCT_MALLINFO 1)
else()
    set(HAVE_STRUCT_MALLINFO 0)
endif()

# We hardcode HAVE_MMAP to 1. There are no interesting systems anymore
# without functional mmap. And our windows (except mingw) builds
# aren't using autoconf. So we keep HAVE_MMAP define, but only to
# distingush windows and rest.
if(NOT WIN32)
  set(HAVE_MMAP 1)
endif()

# If AtomicWord != Atomic32, we need to define two versions of all the
# atomicops functions.  If they're the same, we want to define only one.
check_c_source_compiles("
  #include <stdint.h>
  int main()
  {
    int32_t v1 = 0;
    intptr_t v2 = 0;
    return (&v1 - &v2);
  }"
  INT32_EQUALS_INTPTR)

# We want to access the "PC" (Program Counter) register from a struct
# ucontext.  Every system has its own way of doing that.  We try all the
# possibilities we know about.  Note REG_PC should come first (REG_RIP
# is also defined on solaris, but does the wrong thing).  But don't
# bother if we're not doing cpu-profiling.
# [*] means that we've not actually tested one of these systems
if (GPERFTOOLS_BUILD_CPU_PROFILER)
  pc_from_ucontext(PC_FROM_UCONTEXT_DEF)
endif ()

# Some tests test the behavior of .so files, and only make sense for dynamic.
option(GPERFTOOLS_BUILD_STATIC "Enable Static" ON)

if(gperftools_enable_libunwind)
  check_include_file("libunwind.h" HAVE_LIBUNWIND_H)
  if(HAVE_LIBUNWIND_H)
    find_library(libunwind_location NAMES unwind)
    if(libunwind_location)
      check_library_exists(
        unwind backtrace ${libunwind_location} have_libunwind)
    endif()
    if(have_libunwind)
      set(unwind_libs ${libunwind_location})
      set(will_use_libunwind ON)
    endif()
  endif()
endif()

# On x86_64, instead of libunwind, we can choose to compile with frame-pointers.
# Some x86_64 systems do not insert frame pointers by default.
# We want to see if the current system is one of those.
if(x86_64)
  check_omit_fp_by_default(omit_fp_by_default)
endif()

if(x86_64 AND omit_fp_by_default)
  set(fp_option_enabled "Success")
else()
  set(fp_option_enabled "Failed")
  if(NOT x86_64)
    set(fp_option_enabled "${fp_option_enabled}, not x86_64")
  elseif(NOT omit_fp_by_default)
    set(fp_option_enabled
        "${fp_option_enabled}, frame pointer not omitted by default")
  endif()
  message(STATUS
    "Enable option gperftools_enable_frame_pointers - ${fp_option_enabled}")
endif()

cmake_dependent_option(
  gperftools_enable_frame_pointers
  "On x86_64 systems, compile with -fno-omit-frame-pointer (see INSTALL)"
  OFF
  "x86_64;omit_fp_by_default"
  OFF)

# See if the compiler supports -Wno-unused-result.
# Newer ubuntu's turn on -D_FORTIFY_SOURCE=2, enabling
# __attribute__((warn_unused_result)) for things like write(),
# which we don't care about.

## google-perftools 2.5

=== debian/changelog ===
google-perftools (2.5-2.2ubuntu3) bionic; urgency=medium

  * Don'try to install the profiler libraries on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2018 10:13:39 +0200

google-perftools (2.5-2.2ubuntu2) bionic; urgency=medium

  * Fix ftbfs with glibc-2.27 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 11:41:38 +0200

google-perftools (2.5-2.2ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Use 3.0 (quilt) format instead of cdbs' deprecated simple-patchsys.
    - Rewrite packaging using debhelper sequencer.
    - Build using -fno-strict-aliasing.
    - Build using recent autotools.
    - Build for s390x.
    - debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
      Use initial-exec tls for libunwind's recursion flag.
  * Enable testing for all architectures by default.
  * Build-depend on libunwind-dev instead of libunwind8-dev, which is
    now a transitional package.
  * Build-depend on libunwind-dev on architectures where available.
  * Disable libunwind on arm64 due to hangs. (LP: #1595242)
  * Disable -fno-exceptions to fix test hangs on arm64.
  * Ignore test results on arm64 and armhf.

 -- dann frazier <dannf@ubuntu.com>  Fri, 18 Aug 2017 16:36:56 -0600

google-perftools (2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Tweak profiler_unittest.sh so test failures are just counted once
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Feb 2017 22:44:18 +0100

google-perftools (2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update URL (Homepage, debian/copyright)
  * Ignore result for profiler unit test that fails "randomly" on i386
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Sun, 26 Feb 2017 12:12:05 +0100

google-perftools (2.5-2) unstable; urgency=medium

  * Provide automatic debug packages rather than -dbg packages.
    (Closes: #838562)
  * Bump up Standards-Version to 3.9.8

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 16:08:46 +0900

google-perftools (2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #831240)
  * Update watch file
  * Remove patches that the upstream has applied
    - debian/patches/unbreak-heap-profiler-unittest-on-gcc-5.patch
    - debian/patches/unbreak-heap_checker_unittest-on-gcc-5.patch

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 14:28:33 +0900

google-perftools (2.5-0ubuntu4) zesty; urgency=medium

  * debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
    Use initial-exec tls for libunwind's recursion flag. (LP: #1647864) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Feb 2017 13:17:47 -0500

google-perftools (2.5-0ubuntu3) zesty; urgency=medium

  * Don't run the tests on arm64, hanging the buildds.
  * Ignore test results on armhf for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Nov 2016 14:21:23 +0100

google-perftools (2.5-0ubuntu2) zesty; urgency=medium

  * New upstream version.
  * Build for s390x.
  * Build using recent autotools.
  * Build-depend on libunwind-dev everywhere.
  * Build using -fno-strict-aliasing.
  * Bump standards version.
  * Rewrite packaging using debhelper sequencer.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Sep 2016 01:54:44 +0200

google-perftools (2.4-0ubuntu5) xenial; urgency=medium

  * Pass --add-missing to automake to fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2016 12:45:32 +0200

google-perftools (2.4-0ubuntu4) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:17:29 +0200

google-perftools (2.4-0ubuntu2) wily; urgency=medium

  * Re-enable the build on Aarch64.
  * Disable the tests again on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:14:30 +0200

google-perftools (2.4-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Enable futexes on ARM32 (taken from Fedora).
  * Enable tests everywhere for a first upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 15:18:35 +0200

google-perftools (2.2.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add actual arm64 support (Closes: #763837)

 -- Wookey <wookey@debian.org>  Thu, 02 Oct 2014 02:23:32 +0000

google-perftools (2.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release. (Closes: #757149)
  * Updated watch file
  * Added ppc64el, arm64 architectures (Closes: #737677)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Sep 2014 21:22:29 +0200

google-perftools (2.1-2) unstable; urgency=low

  * Now builds with automake 1.11. (Closes: #724381)
    Thanks to Eric Dorland for a patch.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 22:08:47 +0900

google-perftools (2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #701378)
  * debian/rules:
    - Enable tests on amd64 and i386. (Closes: #695293)
  * debian/control:
    - Add missing dependency on libunwind8-dev for amd64 architecture
      to libgoogle-perftools-dev. (Closes: #706860)
    - Add new architectures: armel armhf. (Closes: #695308)
    - Bumped up Standards-Version to 3.9.4.
  * Removed debian/patches/20120708_ppc_ftbfs.patch, which has been applied by
    the upstream.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 21:21:26 +0900

google-perftools (2.0-4) unstable; urgency=low

  * Added debian/patches/20121013-pprof.1.patch: Corrects a link.
    Thanks to Junichi Uekawa for reporting.  (Closes: #690313)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jul 2012 19:26:52 +0900

google-perftools (2.0-3) unstable; urgency=low

  * debian/patches/20120708_ppc_ftbfs.patch: Imported Ubuntu's patch, fixing
    a build failure on powerpc, derived from the upstream:
    http://code.google.com/p/gperftools/issues/detail?id=431
    Thanks to James Page <james.page@ubuntu.com>. (Closes: #680305)


=== debian/control ===
Source: google-perftools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 10.2.1),
  dh-autoreconf,
  dh-exec,
  libunwind-dev [!arm64 !s390x],
Build-Conflicts: autoconf2.13,
  automake1.4,
  automake1.11,
  libunwind-dev [arm64],
Standards-Version: 3.9.8
Homepage: https://github.com/gperftools/gperftools
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/google-perftools/trunk
Vcs-Browser: http://svn.debian.org/viewvc/collab-maint/deb-maint/google-perftools/trunk/

Package: libgoogle-perftools-dev
Section: libdevel
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: ${misc:Depends}, libgoogle-perftools4 (= ${binary:Version}), libtcmalloc-minimal4 (= ${binary:Version}), libunwind8-dev [amd64]
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs.  This
 includes an optimized thread-caching malloc() and cpu and heap profiling
 utilities.  The devel package contains static and debug libraries and header
 files for developing applications that use the google-perftools package.

Package: libtcmalloc-minimal4
Section: libs
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes an optimized thread-caching malloc.

Package: libgoogle-perftools4
Section: libs
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: libtcmalloc-minimal4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgoogle-perftools0
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This includes
 the full features: an optimized thread-caching malloc() and cpu and heap
 profiling utilities.

Package: google-perftools
Section: devel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-perftools4, curl
Recommends: graphviz, gv
Description: command line utilities to analyze the performance of C++ programs
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes command line utilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TEST_SKIP_ARCHS=
TEST_IGNORE_ARCHS=arm64 armhf

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing

%:
	dh ${@} --parallel --with autoreconf

override_dh_auto_test:
  ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
	-dh_auto_test --no-parallel
	@echo Ignoring test results on $(DEB_HOST_ARCH)
    else
	dh_auto_test --no-parallel
    endif
  endif

override_dh_install:
	mv debian/tmp/usr/bin/pprof \
		debian/tmp/usr/bin/google-pprof
	mv debian/tmp/usr/share/man/man1/pprof.1 \
		debian/tmp/usr/share/man/man1/google-pprof.1
	sed -i -e 's/pprof/google-pprof/g' \
		debian/tmp/usr/share/man/man1/google-pprof.1
	: # remove files which are not installed
	rm -f debian/tmp/usr/lib/*/*.la

	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibtcmalloc-minimal4
	dh_strip -plibgoogle-perftools4
	dh_strip -Nlibtcmalloc-minimal4 -Nlibgoogle-perftools4

=== debian/watch ===
version=3
https://github.com/gperftools/gperftools/tags .*/gperftools-(.+)\.tar\.gz

## google-perftools 2.7

=== debian/changelog ===
google-perftools (2.7-1ubuntu2) focal; urgency=medium

  * Fix wrong execute bit on .install file in packaging.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2020 13:25:31 -0800

google-perftools (2.7-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
  * Dropped changes, included in Debian:
    - Build-depend on libunwind-dev instead of libunwind8-dev, which is
      now a transitional package.
    - Build for s390x.
    - Use 3.0 (quilt) format instead of cdbs' deprecated simple-patchsys.
    - Rewrite packaging using debhelper sequencer.
    - Build using recent autotools.
  * Dropped changes, superseded in Debian:
    - Don't try to install the profiler libraries on ppc64el.
  * Dropped changes, included upstream:
    - debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
      Use initial-exec tls for libunwind's recursion flag.
    - Disable -fno-exceptions to fix test hangs on arm64.
    - Fix ftbfs with glibc-2.27 on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Feb 2020 12:16:55 -0800

google-perftools (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix libprofiler build on ppc64el (closes: #894749).
  * Remove 0001-unbreak-printing-large-span-stats.patch as not needed.
  * Use short debhelper rules format.
  * Make package multiarch (closes: #893928).
  * Reference google-pprof in README (closes: #739572).
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.1.4 .
  * New maintainer (closes: #863782).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Apr 2018 06:52:01 +0000

google-perftools (2.6.90-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Cherry-pick patches from upstream to fix tests on i386.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Mar 2018 19:20:03 +0800

google-perftools (2.6.90-0.1~exp) experimental; urgency=medium

  * Non-maintainer upload.
  * Migrate to salsa.debian.org, and convert to git.
  * New upstream release, and use arch list to 'any' for test on experimental
    (Closes: #872511, #837343, #856203, #857275, #761685)
  * Migrate to 3.0 (quilt) format. (Closes: #872512)
  * Build-Dep on libunwind-dev instead of libunwind8-dev. (Closes: #872593)
  * Drop build-dep on binutils. (Closes: #873141)
  * Use standard version 4.1.3.
  * Use multiarch dir as libdir.
  * cdbs: dh-autoreconf.

 -- YunQiang Su <syq@debian.org>  Wed, 21 Mar 2018 13:06:54 +0800

google-perftools (2.2.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patches to fix test failures with gcc 5 (closes: #777887)
  * Pass --add-missing to automake to fix build failure.

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Feb 2016 16:42:10 +0000

=== debian/control ===
Source: google-perftools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11),
  libunwind-dev [!arm64 !s390x],
Build-Conflicts: autoconf2.13,
  automake1.4,
  libunwind-dev [arm64],
Standards-Version: 4.1.4
Homepage: https://github.com/gperftools/gperftools
Vcs-Git: https://salsa.debian.org/debian/google-perftools.git
Vcs-Browser: https://salsa.debian.org/debian/google-perftools

Package: libgoogle-perftools-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgoogle-perftools4 (= ${binary:Version}), libtcmalloc-minimal4 (= ${binary:Version}), libunwind-dev [amd64]
Multi-Arch: same
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs.  This
 includes an optimized thread-caching malloc() and cpu and heap profiling
 utilities.  The devel package contains static and debug libraries and header
 files for developing applications that use the google-perftools package.

Package: libtcmalloc-minimal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes an optimized thread-caching malloc.

Package: libgoogle-perftools4
Section: libs
Architecture: any
Depends: libtcmalloc-minimal4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgoogle-perftools0
Multi-Arch: same
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This includes
 the full features: an optimized thread-caching malloc() and cpu and heap
 profiling utilities.

Package: google-perftools
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libgoogle-perftools4, curl
Recommends: graphviz, gv
Description: command line utilities to analyze the performance of C++ programs
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes command line utilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

TEST_SKIP_ARCHS=
TEST_IGNORE_ARCHS=arm64 armhf

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing

DESTDIR = $(CURDIR)/debian/tmp

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_install:
	dh_auto_install
	# rename binary
	cd $(DESTDIR)/usr/bin && mv pprof google-pprof
	cd $(DESTDIR)/usr/share/man/man1 && \
		mv pprof.1 google-pprof.1 && \
		sed -i 's/pprof/google-pprof/g' google-pprof.1
	cd $(DESTDIR)/usr/share/doc/gperftools/ && \
		sed -i 's/pprof/google-pprof/g' README
	# remove unwanted documentation
	cd $(DESTDIR)/usr/share/doc/gperftools/ && \
		rm -f ChangeLog ChangeLog.old INSTALL README_windows.txt TODO
	# remove .la files
	find $(DESTDIR) -name \*.la -exec rm {} \;

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
	-dh_auto_test --no-parallel
	@echo Ignoring test results on $(DEB_HOST_ARCH)
    else
	dh_auto_test --no-parallel
    endif
endif # nocheck

%:
	dh $@ --list-missing

.PHONY: override_dh_auto_install override_dh_auto_test

## google-perftools 2.8.1

=== debian/changelog ===
google-perftools (2.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Dec 2020 11:41:19 +0100

google-perftools (2.8-1) unstable; urgency=medium

  * New major upstream release:
    - fixes FTBFS with GCC 10 (closes: #957297).
  * Add suggests of libgoogle-perftools-dev to google-perftools
    (closes: #739571).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jul 2020 17:03:50 +0200

google-perftools (2.7.90-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Update copyright file.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Mar 2020 14:03:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: google-perftools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11),
-  libunwind-dev [!arm64 !s390x],
-Build-Conflicts: autoconf2.13,
-  automake1.4,
-  libunwind-dev [arm64],
-Standards-Version: 4.1.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 11), libunwind-dev [amd64]
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 4.5.0
 Homepage: https://github.com/gperftools/gperftools
 Vcs-Git: https://salsa.debian.org/debian/google-perftools.git
 Vcs-Browser: https://salsa.debian.org/debian/google-perftools
@@ -51,6 +47,7 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, libgoogle-perftools4, curl
+Suggests: libgoogle-perftools-dev
 Recommends: graphviz, gv
 Description: command line utilities to analyze the performance of C++ programs
  The gperftools, previously called google-perftools, package contains some

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-TEST_SKIP_ARCHS=
-TEST_IGNORE_ARCHS=arm64 armhf
-
-export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
-export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing
+TEST_ARCHS = i386 amd64
 
 DESTDIR = $(CURDIR)/debian/tmp
 
@@ -33,14 +29,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
-	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
-    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
-	-dh_auto_test --no-parallel
-	@echo Ignoring test results on $(DEB_HOST_ARCH)
-    else
-	dh_auto_test --no-parallel
-    endif
+# List of architectures for which test execution is enabled
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_ARCHS)))
+	$(MAKE) check
+endif # TEST_ARCHS
 endif # nocheck
 
 %:

## google-perftools 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 # Based on configure.ac
 
-project(gperftools VERSION 2.8.1 LANGUAGES C CXX
+project(gperftools VERSION 2.9.0 LANGUAGES C CXX
         DESCRIPTION "Performance tools for C++"
         HOMEPAGE_URL http://code.google.com/p/gperftools/)
 
 # Update this value for every release!
-set(TCMALLOC_SO_VERSION 9.6.5)
-set(PROFILER_SO_VERSION 5.1.5)
-set(TCMALLOC_AND_PROFILER_SO_VERSION 10.1.6)
+set(TCMALLOC_SO_VERSION 9.9.5)
+set(PROFILER_SO_VERSION 5.4.5)
+set(TCMALLOC_AND_PROFILER_SO_VERSION 10.4.6)
 
 # The user can choose not to compile in the heap-profiler, the
 # heap-checker, or the cpu-profiler.  There's also the possibility
@@ -58,7 +58,6 @@
 include(GNUInstallDirs)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-include(CheckNoFPByDefault)
 include(DefineTargetVariables)
 include(FindObjcopyWithWeaken)
 include(PCFromUContext)
@@ -66,7 +65,7 @@
 define_target_variables()
 
 # Currently only backtrace works on s390.
-if(s390)
+if(s390 OR OSX)
   set(default_enable_libunwind OFF)
   set(default_enable_backtrace ON)
 else()
@@ -160,19 +159,6 @@
 # Check if we have an objcopy installed that supports -W
 find_objcopy_with_weaken()
 
-# AC_C_INLINE
-set(inline)
-foreach(inline_keyword "inline" "__inline" "__inline__")
-  check_c_source_compiles("
-      static ${inline_keyword} void foo() {}
-      int main() { foo(); return 0; }"
-      have_${inline_keyword})
-  if(have_${inline_keyword})
-      set(inline ${inline_keyword})
-      break()
-  endif()
-endforeach()
-
 # AX_C___ATTRIBUTE__
 check_c_source_compiles("#include <stdlib.h>
                          static void foo(void) __attribute__ ((unused));
@@ -180,7 +166,6 @@
                          int main() { return 0; }"
         HAVE___ATTRIBUTE__)
 
-check_type_size("__int64" __INT64 LANGUAGE CXX) # defined in some windows platforms
 set(CMAKE_EXTRA_INCLUDE_FILES "malloc.h")
 check_type_size("struct mallinfo" STRUCT_MALLINFO LANGUAGE CXX)
 set(CMAKE_EXTRA_INCLUDE_FILES "elf.h")
@@ -196,7 +181,6 @@
 check_include_file("execinfo.h" HAVE_EXECINFO_H) # for stacktrace? and heapchecker_unittest
 check_include_file("unwind.h" HAVE_UNWIND_H) # for stacktrace
 check_include_file("sched.h" HAVE_SCHED_H) # for being nice in our spinlock code
-check_include_file("conflict-signal.h" HAVE_CONFLICT_SIGNAL_H) # defined on some windows platforms?
 check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H) # for thread_lister (needed by leak-checker)
 check_include_file("linux/ptrace.h" HAVE_LINUX_PTRACE_H) # also needed by leak-checker
 check_include_file("sys/syscall.h" HAVE_SYS_SYSCALL_H)
@@ -207,16 +191,12 @@
 check_include_file("grp.h" HAVE_GRP_H) # for heapchecker_unittest
 check_include_file("pwd.h" HAVE_PWD_H) # for heapchecker_unittest
 check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H) # for memalign_unittest.cc
-check_include_file("valgrind.h" HAVE_VALGRIND_H) # we have a local copy if this isn't found
 check_include_file("sys/cdefs.h" HAVE_SYS_CDEFS_H) # Where glibc defines __THROW
 
 check_include_file("unistd.h" HAVE_UNISTD_H)
 check_include_file("inttypes.h" HAVE_INTTYPES_H)
 # We also need <ucontext.h>/<sys/ucontext.h>, but we get those from
 # AC_PC_FROM_UCONTEXT, below.
-
-# for windows
-check_symbol_exists(snprintf stdio.h HAVE_SNPRINTF)
 
 # We override a lot of memory allocation routines, not all of which are
 # standard.  For those the system doesn't declare, we'll declare ourselves.
@@ -282,35 +262,72 @@
   endif()
 endif()
 
-# On x86_64, instead of libunwind, we can choose to compile with frame-pointers.
-# Some x86_64 systems do not insert frame pointers by default.
-# We want to see if the current system is one of those.
+# On x86_64, we know that default is to omit frame pointer.
 if(x86_64)
-  check_omit_fp_by_default(omit_fp_by_default)
-endif()
-
-if(x86_64 AND omit_fp_by_default)
-  set(fp_option_enabled "Success")
-else()
-  set(fp_option_enabled "Failed")
-  if(NOT x86_64)
-    set(fp_option_enabled "${fp_option_enabled}, not x86_64")
-  elseif(NOT omit_fp_by_default)
-    set(fp_option_enabled
-        "${fp_option_enabled}, frame pointer not omitted by default")
-  endif()
-  message(STATUS
-    "Enable option gperftools_enable_frame_pointers - ${fp_option_enabled}")
-endif()
-
-cmake_dependent_option(
-  gperftools_enable_frame_pointers
-  "On x86_64 systems, compile with -fno-omit-frame-pointer (see INSTALL)"
-  OFF
-  "x86_64;omit_fp_by_default"
-  OFF)
+  set(omit_fp_by_default ON)
+endif()
 
 # See if the compiler supports -Wno-unused-result.
 # Newer ubuntu's turn on -D_FORTIFY_SOURCE=2, enabling
 # __attribute__((warn_unused_result)) for things like write(),
 # which we don't care about.
+check_c_compiler_flag("-Wno-unused-result" have_w_no_unused_result)
+
+option(gperftools_dynamic_sized_delete_support
+       "Try to build run-time switch for sized delete operator"
+       OFF)
+if(gperftools_dynamic_sized_delete_support)
+  set(ENABLE_DYNAMIC_SIZED_DELETE 1)
+endif()
+
+option(gperftools_sized_delete "Build sized delete operator" OFF)
+if(gperftools_sized_delete)
+  set(ENABLE_SIZED_DELETE 1)
+endif()
+
+if(NOT MSVC)
+  set(CMAKE_REQUIRED_FLAGS -fsized-deallocation)
+  check_cxx_source_compiles("
+  #include <new>
+  int main() { (::operator delete)(0, 256); return 0; }"
+          have_sized_deallocation)
+  set(CMAKE_REQUIRED_FLAGS)
+endif()
+
+check_cxx_source_compiles("
+  #include <new>
+  int main() { (::operator delete)((::operator new)(256, std::align_val_t(16)), std::align_val_t(16)); return 0; }"
+  HAVE_STD_ALIGN_VAL_T)
+if(HAVE_STD_ALIGN_VAL_T)
+  set(HAVE_STD_ALIGN_VAL_T 1)
+else()
+  set(HAVE_STD_ALIGN_VAL_T 0)
+endif()
+
+check_c_source_compiles("
+  #include <unwind.h>
+  int main()
+  {
+#if __APPLE__
+#error OSX _Unwind_Backtrace recurses back to malloc
+#endif
+    &_Unwind_Backtrace;
+    return 0;
+  }"
+  HAVE_UNWIND_BACKTRACE)
+
+if(enable_backtrace)
+  set(default_emergency_malloc ON)
+else()
+  set(default_emergency_malloc OFF)
+endif()
+
+if(will_use_libunwind AND ARM)
+  set(default_emergency_malloc ON)
+endif()
+
+option(gperftools_emergency_malloc
+       "Build emergency malloc"
+       ${default_emergency_malloc})
+
+check_c_source_compiles(

=== debian/changelog ===
google-perftools (2.9.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:55:55 +0100

google-perftools (2.9.1-0ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:18 +0200

google-perftools (2.9.1-0ubuntu1) hirsute; urgency=medium

  * New upstream version. LP: #1922048.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 10:57:59 +0100

google-perftools (2.8.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
    - Fix wrong execute bit on .install file in packaging.
  * Dropped changes, included upstream:
    - debian/patches/riscv64-porting.patch: Enable building for riscv64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 17:55:16 -0800

google-perftools (2.8-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
    - Fix wrong execute bit on .install file in packaging.
    - debian/patches/riscv64-porting.patch: Enable building for riscv64.
  * Dropped changes, included upstream:
    - d/p/0001-liberate-gperftools-tests-from-relying-on-fno-builti.patch:
      cherry-pick from upstream to fix build failures with current toolchain
      related to -fno-builtin-XXX.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:03:09 -0700

google-perftools (2.7-1ubuntu6) groovy; urgency=medium

  * Update debian/patches/riscv64-porting.patch for riscv64-specific syscall
    constants and marshalling, and ucontext handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 08:53:16 -0700

google-perftools (2.7-1ubuntu5) groovy; urgency=medium

  * debian/patches/riscv64-porting.patch: Enable building for riscv64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 07:40:55 -0700

google-perftools (2.7-1ubuntu4) groovy; urgency=medium

  * d/p/0001-liberate-gperftools-tests-from-relying-on-fno-builti.patch:
    cherry-pick from upstream to fix build failures with current toolchain
    related to -fno-builtin-XXX.  Thanks to Aliaksey Kandratsenka
    <alkondratenko@gmail.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 06:26:23 -0700

google-perftools (2.7-1ubuntu3) groovy; urgency=medium

  * Omit libunwind on risvc64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2020 12:06:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: google-perftools
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), libunwind-dev [amd64]
-Build-Conflicts: autoconf2.13, automake1.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 11),
+  libunwind-dev [!arm64 !s390x !riscv64],
+Build-Conflicts: autoconf2.13,
+  automake1.4,
+  libunwind-dev [arm64],
 Standards-Version: 4.5.0
 Homepage: https://github.com/gperftools/gperftools
 Vcs-Git: https://salsa.debian.org/debian/google-perftools.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
-TEST_ARCHS = i386 amd64
+TEST_SKIP_ARCHS=
+TEST_IGNORE_ARCHS=arm64 armhf
+
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+
+export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
+export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing
 
 DESTDIR = $(CURDIR)/debian/tmp
 
@@ -29,10 +35,14 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-# List of architectures for which test execution is enabled
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_ARCHS)))
-	$(MAKE) check
-endif # TEST_ARCHS
+    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
+	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
+    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
+	-dh_auto_test --no-parallel
+	@echo Ignoring test results on $(DEB_HOST_ARCH)
+    else
+	dh_auto_test --no-parallel
+    endif
 endif # nocheck
 
 %:

## google-perftools 2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 # Based on configure.ac
 
-project(gperftools VERSION 2.9.0 LANGUAGES C CXX
+project(gperftools VERSION 2.10.0 LANGUAGES C CXX
         DESCRIPTION "Performance tools for C++"
         HOMEPAGE_URL http://code.google.com/p/gperftools/)
 
 # Update this value for every release!
-set(TCMALLOC_SO_VERSION 9.9.5)
-set(PROFILER_SO_VERSION 5.4.5)
-set(TCMALLOC_AND_PROFILER_SO_VERSION 10.4.6)
+set(TCMALLOC_SO_VERSION 9.10.5)
+set(PROFILER_SO_VERSION 5.5.5)
+set(TCMALLOC_AND_PROFILER_SO_VERSION 10.5.6)
 
 # The user can choose not to compile in the heap-profiler, the
 # heap-checker, or the cpu-profiler.  There's also the possibility

=== src/windows/CMakeLists.txt ===
add_executable(addr2line-pdb addr2line-pdb.c)
target_link_libraries(addr2line-pdb dbghelp)

add_executable(nm-pdb nm-pdb.c)
target_link_libraries(nm-pdb dbghelp)

#enable_language(ASM)
#add_executable(preamble_patcher_test preamble_patcher_test.cc shortproc.asm)
#target_link_libraries(preamble_patcher_test tcmalloc_minimal)
#add_test(preamble_patcher_test preamble_patcher_test)

=== debian/changelog ===
google-perftools (2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Jun 2022 21:09:09 +0200

google-perftools (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Oct 2021 21:20:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: google-perftools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11),
-  libunwind-dev [!arm64 !s390x !riscv64],
-Build-Conflicts: autoconf2.13,
-  automake1.4,
-  libunwind-dev [arm64],
-Standards-Version: 4.5.0
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), libunwind-dev [amd64]
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 4.6.0
 Homepage: https://github.com/gperftools/gperftools
 Vcs-Git: https://salsa.debian.org/debian/google-perftools.git
 Vcs-Browser: https://salsa.debian.org/debian/google-perftools

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-TEST_SKIP_ARCHS=
-TEST_IGNORE_ARCHS=arm64 armhf
-
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-
-export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
-export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing
+TEST_ARCHS = i386 amd64
 
 DESTDIR = $(CURDIR)/debian/tmp
 
@@ -35,17 +29,13 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
-	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
-    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
-	-dh_auto_test --no-parallel
-	@echo Ignoring test results on $(DEB_HOST_ARCH)
-    else
-	dh_auto_test --no-parallel
-    endif
+# List of architectures for which test execution is enabled
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_ARCHS)))
+	$(MAKE) check
+endif # TEST_ARCHS
 endif # nocheck
 
 %:
-	dh $@ --list-missing
+	dh $@
 
 .PHONY: override_dh_auto_install override_dh_auto_test
